#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/vulture/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

tests_require = [
    'pytest>=5.4,<6.0'
]
setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='HTCondor fake executor.',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    # install_requires=requires,
    tests_require=tests_require,
    keywords=[],
    packages=['vulture'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['vulture = vulture.execute:main']
    },
)
